import axios from '../../lib/axios'

const headers = {
	headers: { 'Content-Type': 'multipart/form-data' },
}

export const RoleList = async (data) => {
	const response = await axios.post('role/list', data, headers)
	return response.data
}

export const RoleGetOne = async (data) => {
	const response = await axios.post('role/get', data, headers)
	return response.data
}

export const RoleUpdate = async (data) => {
	const response = await axios.post('role/update', data, headers)
	return response.data
}

export const RoleCreate = async (data) => {
	const response = await axios.post('role/create', data, headers)
	return response.data
}

export const RoleDelete = async (data) => {
	const response = await axios.post('role/delete', data, headers)
	return response.data
}
